Loading...
Searching...
No Matches
hash.h File Reference
libavutil » Crypto and Hashing » Hash Functions » Generic Hashing API

Generic hashing API. More...

`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | AV_HASH_MAX_SIZE 64
| Maximum value that av_hash_get_size() will currently return.

## Functions

int | av_hash_alloc (struct AVHashContext **ctx, const char *name)
| Allocate a hash context for the algorithm specified by name.
const char * | av_hash_names (int i)
| Get the names of available hash algorithms.
const char * | av_hash_get_name (const struct AVHashContext *ctx)
| Get the name of the algorithm corresponding to the given hash context.
int | av_hash_get_size (const struct AVHashContext *ctx)
| Get the size of the resulting hash value in bytes.
void | av_hash_init (struct AVHashContext *ctx)
| Initialize or reset a hash context.
void | av_hash_update (struct AVHashContext *ctx, const uint8_t *src, size_t len)
| Update a hash context with additional data.
void | av_hash_final (struct AVHashContext *ctx, uint8_t *dst)
| Finalize a hash context and compute the actual hash value.
void | av_hash_final_bin (struct AVHashContext *ctx, uint8_t *dst, int size)
| Finalize a hash context and store the actual hash value in a buffer.
void | av_hash_final_hex (struct AVHashContext *ctx, uint8_t *dst, int size)
| Finalize a hash context and store the hexadecimal representation of the actual hash value as a string.
void | av_hash_final_b64 (struct AVHashContext *ctx, uint8_t *dst, int size)
| Finalize a hash context and store the Base64 representation of the actual hash value as a string.
void | av_hash_freep (struct AVHashContext **ctx)
| Free hash context and set hash context pointer to `NULL`.

## Detailed Description

Generic hashing API.

Definition in file hash.h.